import java_cup.runtime.*;

%%

%line
%column
%cup
%class Lexer


%%


if  			{return new Symbol(sym.IF, 	yyline, yycolumn);}
else 			{return new Symbol(sym.ELSE, 	yyline, yycolumn);}
while			{return new Symbol(sym.WHILE, 	yyline, yycolumn);}
write			{return new Symbol(sym.OUTPUT, 	yyline, yycolumn);}
read			{return new Symbol(sym.INPUT, 	yyline, yycolumn);}

int 			{return new Symbol(sym.INT, 	yyline, yycolumn);}

true			{return new Symbol(sym.TRUE, 	yyline, yycolumn);}
false			{return new Symbol(sym.FALSE, 	yyline, yycolumn);}

[A-z_$][0-9A-z_$]* 	{return new Symbol(sym.VAR,	yyline, yycolumn, yytext());}
-?[0-9]+  		{return new Symbol(sym.NUMBER, 	yyline, yycolumn, new Integer(yytext()));}

\(			{return new Symbol(sym.OPENBR1,	yyline, yycolumn);}
\)			{return new Symbol(sym.CLOSEBR1,yyline, yycolumn);}

\{      		{return new Symbol(sym.OPENBR2, yyline, yycolumn);}
\}      		{return new Symbol(sym.CLOSEBR2,yyline, yycolumn);}

\+      		{return new Symbol(sym.PLUS, 	yyline, yycolumn);}
\-      		{return new Symbol(sym.MINUS, 	yyline, yycolumn);}

;       		{return new Symbol(sym.SEMIC, 	yyline, yycolumn);}
,			{return new Symbol(sym.COMMA, 	yyline, yycolumn);}
=       		{return new Symbol(sym.ASSIGN, 	yyline, yycolumn);}
\!			{return new Symbol(sym.NOT, 	yyline, yycolumn);}
== 			{return new Symbol(sym.EQUAL,	yyline, yycolumn);}
\<			{return new Symbol(sym.LESS, 	yyline, yycolumn);}
&& 			{return new Symbol(sym.ANDAND, 	yyline, yycolumn);}

.|\n    {}




